net.i2p.i2ptunnel.access

## Class FilterDefinitionElement

- java.lang.Object
- - net.i2p.i2ptunnel.access.FilterDefinitionElement

- Direct Known Subclasses:
    ExplicitFilterDefinitionElement, FileFilterDefinitionElement

      abstract class FilterDefinitionElement
      extends Object

  Base class for filter definition elements.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Threshold` | `threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterDefinitionElement(Threshold threshold)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static Hash` | `fromBase32(String b32)` Utility method to create a Hash object from a .b32 string
    `(package private) Threshold` | `getThreshold()`
    `(package private) abstract void` | `update(Map<Hash,DestTracker> map)` Updates the provided map with the hash(es) of remote destinations mentioned in this element

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### threshold

          protected final Threshold threshold

  - ### Constructor Detail

    - #### FilterDefinitionElement

          FilterDefinitionElement(Threshold threshold)

  - ### Method Detail

    - #### fromBase32

          protected static Hash fromBase32(String b32)
                                    throws InvalidDefinitionException

      Utility method to create a Hash object from a .b32 string
      Throws:
        `InvalidDefinitionException`

    - #### getThreshold

          Threshold getThreshold()

    - #### update

          abstract void update(Map<Hash,DestTracker> map)
                        throws IOException

      Updates the provided map with the hash(es) of remote destinations mentioned in this element
      Throws:
        `IOException`